%global momorel 14
%global date 20060301
%global scimver 1.4.7
%global scim_qtimmver 0.9.4
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global kdebaserel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: Input method platform for KDE
Name: skim
Version: 1.4.4
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2+
URL: http://www.scim-im.org/projects/skim
Group: User Interface/X
#Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.bz2
#NoSource: 0
Source0: %{name}-%{version}.%{date}.tar.bz2
Source1: %{name}rc
Source2: http://dl.sourceforge.net/sourceforge/scons/scons-local-1.0.1.tar.gz
NoSource: 2
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-add-icon-to-applet.patch
Patch2: %{name}-%{version}-includedir.patch
Patch3: skim-1.4.4-scons.patch
Patch4: skim-1.4.5-install-chmod.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase3 >= %{kdever}-%{kdebaserel}
Requires: scim >= %{scimver}
Requires: scim-qtimm >= %{scim_qtimmver}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase3 >= %{kdever}-%{kdebaserel}
BuildPreReq: scim-devel >= %{scimver}
BuildPreReq: scim-qtimm >= %{scim_qtimmver}
BuildPreReq: desktop-file-utils
BuildPreReq: libjpeg-devel >= 6b-30m
BuildPreReq: libpng-devel
BuildPreReq: libxml2-devel
BuildPreReq: pkgconfig >= 0.12
BuildPreReq: python
BuildPreReq: zlib-devel
BuildPreReq: scons

%description
Skim is an input method platform based upon scim-lib for KDE.
It provides a GUI panel (named scim-panel-kde), a KConfig config module and
SetupUIs for itself and scim-lib.
It also has its own plugin systems which support on-demand loadable actions.

%package devel
Summary: Development package for skim.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.12

%description devel
skim-devel package contains the header files and static libraries to
develop a skim applications.

%prep
%setup -q -a 2

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .applet
%patch2 -p1 -b .includedir
%patch3 -p1 -b .scons~
%patch4 -p1 -b .install-chmod~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	qtlibs=%{qtdir}/lib \
	qtincludes=%{qtdir}/include \
	kdeincludes=%{_includedir}/kde

./scons.py %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
./scons.py install DESTDIR=%{buildroot}

# install skimrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Utility \
  --add-category Settings \
  %{buildroot}%{_datadir}/applnk/Utilities/skim.desktop

# link missing icon for menu
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
ln -s ../../../crystalsvg/32x32/apps/skim.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/skim.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/scim-panel-kde
%{_bindir}/skim
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/scim-1.0/1.4.0/Config/kconfig.la
%{_libdir}/scim-1.0/1.4.0/Config/kconfig.so
%{_libdir}/*.la
%{_libdir}/*.so.*
%{_datadir}/applications/kde/skim.desktop
%{_datadir}/apps/kicker/applets/skimapplet.desktop
%{_datadir}/apps/skim
%{_datadir}/autostart/skim.desktop
%{_datadir}/config/skimrc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/*/skim
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/apps/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skimconfiguredialog
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%files devel
%defattr(-, root, root)
%{_includedir}/kde/skim
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.4-0.20060301.14m)
- separate devel package

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.4-0.20060301.13m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.4-0.20060301.12m)
- use scons-local-1.0.1 instead of system scons-1.2.0
-- apply Patch3
-- apply Patch4 from Debian unstable (1.4.5-4) 
--- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456855
- License: GPLv2+

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.11m)
- build doc/de again

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.10m)
- add link of missing icon for menu entry

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.4-0.20060301.9m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.4-0.20060301.8m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.7m)
- move headers to %%{_includedir}/kde

* Sat Feb 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.6m)
- modify spec file for KDE4
- remove docs of de, this is temporal build fix

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.5m)
- add Icon to skimapplet.desktop

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.4m)
- clean up spec file

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.4-0.20060301.3m)
- rebuild against kdelibs etc.

* Sun Jun  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.2m)
- rewind to avoid crashing skim-honoka

* Sun Jun  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-1m)
- version 1.4.5
- remove desktop.patch
- install desktop file (Exec=skim -f in skim.desktop)

* Mon Mar 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.1m)
- update to 20060301 cvs snapshot (use opensuse tar-ball)
 +* Sat Mar 04 2006 - zsu@suse.de
 +- Update to cvs head to fix the following issues [#154308]
 +- Fixed a crash bug when exiting scim-input-pad [#149541]
 +- Fixed a bug which prevent Filter setting from saving successfully.
 +- Disable main window when there is no properties.
 +- Prevent plugin setup window from being disabled.
 +- Fixed setup module desktop file translation issue.

* Mon Mar 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-3m)
- remove scimrel for scim-1.4.4-0.20060301.2m

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-2m)
- add skim-1.4.4-desktop.patch (modify skim.desktop)

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-1m)
- version 1.4.4

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-2m)
- rebuild against KDE 3.5 RC1

* Wed Nov  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-1m)
- version 1.4.3
- remove skim-1.4.2-uic.patch

* Sat Sep 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-3m)
- fix uic build problem

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-2m)
- rebuild against qt-3.3.5-1m

* Mon Aug 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-1m)
- version 1.4.2

* Fri Aug 12 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.4.1-2m)
- multilib build fix.

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-1m)
- version 1.4.1
- remove nokdelibsuff.patch
- BuildPreReq: python, libxml2-devel, pkgconfig

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-2m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Sat May 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3 (bug fix release)
- add skim-1.2.3-nokdelibsuff.patch

* Sun Apr 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- remove %%{_docdir}/HTML/skim

* Tue Mar 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2 (bug fix release)

* Thu Mar 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1 (major bug fix release)
  Workaround for issues in Qt 3.3.4 qtimm patch
- Requires: scim >= 1.2.1-1m

* Thu Mar 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-2m)
- add Source1: skimrc
- Requires: scim >= 1.2.0-3m

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- initial package for Momonga Linux
- import %%description from UT Extra Packages for Mandrake

* Tue Mar 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-2ut
- new release
- remove unnecessary files

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 1.1.0-1ut
- new release
- spec cleanup
- change URL

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rpmlint fixes

* Thu Sep 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-2mdk
- skim needs *.la for plugins
- fix requires (skim won't work w/o scim)
- disable rpath

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix file list
- fix description & summary
- fix a few rpmlint warnings
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
